Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366882 - 'NoneType' object has no attribute 'change_run_text'
Summary: 'NoneType' object has no attribute 'change_run_text'
Keywords:
Status: NEW
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Cole Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-14 04:20 UTC by Vladimir Panteleev
Modified: 2018-07-18 14:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Virt manager log (deleted)
2017-03-29 08:58 UTC, Christophe de Dinechin
no flags Details
Single session log (deleted)
2017-03-29 18:35 UTC, Cole Robinson
no flags Details
Open VM with error from console (deleted)
2017-05-31 10:16 UTC, Dario Lesca
no flags Details
Open VM without error via ssh/X11 fw from fedora 25 workstation (deleted)
2017-05-31 10:17 UTC, Dario Lesca
no flags Details

Description Vladimir Panteleev 2016-08-14 04:20:03 UTC
In some circumstances, attempting to open the detail view of a VM produces the error:

'NoneType' object has no attribute 'change_run_text'

with the details:

Error launching details: 'NoneType' object has no attribute 'change_run_text'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 832, in _show_vm_helper
    details.show()
  File "/usr/share/virt-manager/virtManager/details.py", line 616, in show
    self.refresh_vm_state()
  File "/usr/share/virt-manager/virtManager/details.py", line 1285, in refresh_vm_state
    self.change_run_text(vm.has_managed_save())
  File "/usr/share/virt-manager/virtManager/details.py", line 1268, in change_run_text
    self.widget("details-vm-menu").get_submenu().change_run_text(text)
AttributeError: 'NoneType' object has no attribute 'change_run_text'

virt-manager is at 1.4.0.

No steps to reproduce currently, but it very likely has something to do with saving the VM's state to disk.

The problem persists even after restarting virt-manager. Restarting libvirtd, however, resolves the problem.

Comment 1 Cole Robinson 2016-08-16 21:10:33 UTC
Hmm I haven't seen that myself. What distro are you on? Might be interesting to run with 'virt-manager --debug' and then when you hit the error see if anything else interesting popped up on stdout/stderr, like gtk errors or some other backtrace

Comment 2 Vladimir Panteleev 2016-08-17 05:40:25 UTC
(In reply to Cole Robinson from comment #1)
> What distro are you on? 

Arch Linux.

> Might be interesting
> to run with 'virt-manager --debug' and then when you hit the error see if
> anything else interesting popped up on stdout/stderr, like gtk errors or
> some other backtrace

I'll do that should I run into this again.

Comment 3 Christophe de Dinechin 2017-03-28 14:08:46 UTC
Seen on Fedora 25 today, for a macOS VM after changing I believe its memory size attribute.

Stack trace:

Error launching details: 'NoneType' object has no attribute 'change_run_text'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 832, in _show_vm_helper
    details.show()
  File "/usr/share/virt-manager/virtManager/details.py", line 616, in show
    self.refresh_vm_state()
  File "/usr/share/virt-manager/virtManager/details.py", line 1285, in refresh_vm_state
    self.change_run_text(vm.has_managed_save())
  File "/usr/share/virt-manager/virtManager/details.py", line 1268, in change_run_text
    self.widget("details-vm-menu").get_submenu().change_run_text(text)
AttributeError: 'NoneType' object has no attribute 'change_run_text'

Comment 4 Christophe de Dinechin 2017-03-28 14:12:30 UTC
Tried to run with debug. First run failed to connect to qemu://system, had to kill the application. Second run connected OK, no longer showed the problem when opening the guest :-( The problem apparently went away since then.

Comment 5 Cole Robinson 2017-03-28 18:37:04 UTC
Christophe, you can get the debug log from ~/.cache/virt-manager/virt-manager.log, maybe grep for the error and grab all the surrounding output from app startup

Comment 6 Christophe de Dinechin 2017-03-29 08:58:54 UTC
Created attachment 1267261 [details]
Virt manager log

I did not really know what could be helpful to you, so I added the whole log file. That host is relatively recent, so there isn't so much data in it.

Comment 7 Cole Robinson 2017-03-29 18:35:39 UTC
Created attachment 1267335 [details]
Single session log

I stripped the log down to just the failing session, although it doesn't really explain things. The VM window was opened, some mem changes made, window closed, but on next open attempt UI is randomly failing.

Maybe some gtk error somewhere that's causing the menu to be unregistered, or somehow the menu is being garbage collected? No idea really, and I can't reproduce. So if someone gets into this state again or comes up with a reproducer, please indicate here

Comment 8 Dario Lesca 2017-05-31 10:14:44 UTC
On a Centos7.3 with xfce DE, totay I get this error when I try open VM console.
Some day ago I have open VM console without problem and none is change on the system

Attach virt-manager.log file with error (NoneType-change_run_text-virt-manager.log)

If I ssh on the machine from my client Fedora 25 and run virt-manager via X11 forwarding all work fine. attach virt-manager.log file for this session (via-ssh-session-virt-manager.log)

hope this help

Comment 9 Dario Lesca 2017-05-31 10:16:03 UTC
Created attachment 1283690 [details]
Open VM with error from console

Comment 10 Dario Lesca 2017-05-31 10:17:55 UTC
Created attachment 1283691 [details]
Open VM without error via ssh/X11 fw from fedora 25 workstation

Comment 11 Dario Lesca 2017-05-31 10:18:49 UTC
Comment on attachment 1283690 [details]
Open VM with error from console

NoneType-change_run_text-virt-manager.log

Comment 12 Dario Lesca 2017-05-31 10:19:23 UTC
Comment on attachment 1283691 [details]
Open VM without error via ssh/X11 fw from fedora 25 workstation

via-ssh-session-virt-manager.log


Note You need to log in before you can comment on or make changes to this bug.